Package org.apache.lucene.sandbox.facet

# Class ComparableUtils.ByCountComparable

java.lang.Object
org.apache.lucene.sandbox.facet.ComparableUtils.ByCountComparable

All Implemented Interfaces:
  `Comparable<ComparableUtils.ByCountComparable>`

Enclosing class:
  `ComparableUtils`

public static class ComparableUtils.ByCountComparable extends Object implements Comparable<ComparableUtils.ByCountComparable>
Used for `ComparableUtils.byCount(org.apache.lucene.sandbox.facet.recorders.CountFacetRecorder)` result.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(ComparableUtils.ByCountComparable o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### compareTo

public int compareTo(ComparableUtils.ByCountComparable o)

Specified by:
  `compareTo` in interface `Comparable<ComparableUtils.ByCountComparable>`